Compiling MT with JS enabled in Kubuntu 11.10

Help
Anonymous
2011-12-28
2013-05-30
  • Anonymous - 2011-12-28

    Hello,

    Attempting to compile mediatomb 0.12.1.

    I've searched the forums and have not found an answer, hence my new posting.

    I've found posting "Ubuntu mediatomb package" but it's for 10.04 and the package "xulrunner-dev" no longer exists.  I've installed "libmozjs185-dev" and now the ./configure prog can find jsapi.h, but it fails with the following.


    jsapi.h found in /usr/include/js
    checking for JS_NewObject in -ljs… no
    checking for JS_NewObject in -lsmjs… no
    checking for JS_NewObject in -lmozjs… no
    checking for JS_NewObject in -ljs… no
    checking for JS_NewObject in -lsmjs… no
    checking for JS_NewObject in -lmozjs… no
    libjs/libsmjs link failed
    configure: error: unable to configure libjs support

    Not sure what the script is looking for.  I assume it is looking for the definition of "JS_NewObject" in some header code somewhere.

    I'm executing "configure" as follows:
    ./configure -prefix=/usr/share/ -enable-libjs

    Any suggestions as to what might be going on (or what packages I might be missing)?

    Thank for the pointers!

    Larry

     
  • Larry Schapker

    Larry Schapker - 2011-12-29

    I had originally posted this item…

    I found an answer to this question:  Information on how to perform this can be found at the following link: http://tobias-zimmer.blogspot.com/2011/12/howto-compile-mediatomb-with-javascript.html

    One note:  My system is a 64 bit system.  Do not use "libmozjs2d_1.9.1.16-11_amd64.deb and libmozjs-dev_1.9.1.16-11_amd64.deb".  Mediatomb will not compile otherwise.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks